Package wx :: Class ContextHelp

[frames | no frames]

## Type ContextHelp

    object --+
             |
        Object --+
                 |
                ContextHelp

This class changes the cursor to a query and puts the application into a 'context-sensitive help mode'. When the user left-clicks on a window within the specified window, a `EVT_HELP` event is sent to that control, and the application may respond to it by popping up some help.

There are a couple of ways to invoke this behaviour implicitly:

> - Use the wx.WS_EX_CONTEXTHELP extended style for a dialog or frame (Windows only). This will put a question mark in the titlebar, and Windows will put the application into context-sensitive help mode automatically, with further programming.
> - Create a `wx.ContextHelpButton`, whose predefined behaviour is to create a context help object. Normally you will write your application so that this button is only added to a dialog for non-Windows platforms (use `wx.WS_EX_CONTEXTHELP` on Windows).

See Also:

`wx.ContextHelpButton`

Method Summary
ContextHelp | ``__init__`(self, window, doNow)` Constructs a context help object, calling BeginContextHelp if doNow is true (the default).
| `__del__(self)`
bool | ``BeginContextHelp`(self, window)` Puts the application into context-sensitive help mode.
bool | ``EndContextHelp`(self)` Ends context-sensitive help mode.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, window=None, doNow=True)
(Constructor)

Constructs a context help object, calling BeginContextHelp if doNow is true (the default).

If window is None, the top window is used.

  Parameters:
    `window`
    (type=Window)

    `doNow`
    (type=bool)

  Returns:
    ContextHelp
  Overrides:
    `wx.Object.__init__`

### BeginContextHelp(self, window=None)

Puts the application into context-sensitive help mode. window is the window which will be used to catch events; if NULL, the top window will be used.

Returns true if the application was successfully put into context-sensitive help mode. This function only returns when the event loop has finished.

  Parameters:
    `window`
    (type=Window)

  Returns:
    bool

### EndContextHelp(self)

Ends context-sensitive help mode. Not normally called by the application.

  Returns:
    bool

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:42 2007 | http://epydoc.sf.net